Unfreeze an index
- POST /{index}/_unfreeze
When a frozen index is unfrozen, the index goes through the normal recovery process and becomes writeable again.
Required authorization
- Index privileges manage
Query parameters
-
allow_no_indicesboolean · default: true -
If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices. -
expand_wildcardsstring · default: open -
Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden. Valid values are:all,open,closed,hidden,none.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
If
false, the request returns an error if it targets a missing or closed index. -
master_timeoutstring · default: 30s -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.